Name:           aalib
Version:        1.4.0
Release:        2
Summary:        An ASCII Art Library
License:        GPL-2.0+
URL:            http://aa-project.sourceforge.net/aalib/
Source0:        http://download.sourceforge.net/aa-project/aalib-1.4rc5.tar.gz
# Fix missing return value
Patch0001:      aalib-1.4rc5-bug149361.patch
BuildRequires:  slang-devel libXt-devel gpm-devel ncurses-devel autoconf libtool
Provides:       %{name}-libs = %{version}-%{release}
Obsoletes:      %{name}-libs < %{version}-%{release}

%description
AA-lib is a low level gfx library just as many other libraries are. The main difference is that
AA-lib does not require graphics device. In fact, there is no graphical output possible. AA-lib
replaces those old-fashioned output methods with a powerful ASCII art renderer. The API is des-
igned to be similar to other graphics libraries.

%package devel
Summary:        Development files for aalib
Requires:       %{name} = %{version}-%{release}
Requires(post):  info
Requires(postun): info

%description devel
This package contains header files and other files needed to develop with aalib.

%package help
Summary:        Help documentation files for aalib

%description help
Help documentation files for aalib.

%prep
%autosetup -n aalib-%{version} -p1
autoreconf -v -f -i

%build
%configure --disable-static  --with-curses-driver=yes --with-ncurses
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libaa.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

touch -r NEWS $RPM_BUILD_ROOT%{_bindir}/aalib-config $RPM_BUILD_ROOT%{_datadir}/aclocal/aalib.m4

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libaa.info %{_infodir}/dir 2>/dev/null || :

%preun devel
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/libaa.info %{_infodir}/dir 2>/dev/null || :
fi


%files
%doc README ChangeLog NEWS COPYING
%{_bindir}/{aafire,aainfo,aasavefont,aatest}
%{_libdir}/libaa.so.*

%files devel
%{_bindir}/aalib-config
%{_libdir}/libaa.so
%{_infodir}/aalib.info*
%{_datadir}/aclocal/aalib.m4
%{_includedir}/aalib.h

%files help
%{_mandir}/man1/aafire.1*
%{_mandir}/man3/*

%changelog
* Thu Dec 03 2020 Ge Wang <wangge20@huawei.com> - 1.4.0-2
- Modify license

* Wed Mar 04 2020 daiqianwen <daiqianwen@huawei.com> - 1.4.0-1
- Package init
